# -*- coding: utf-8 -*-

from PyQt4 import QtGui, QtCore
from ui_addcurve import Ui_addCurveDialog
import mediator

class AddCurve(QtGui.QDialog):
	def __init__(self):
		QtGui.QDialog.__init__(self)
		self.ui = Ui_addCurveDialog()
		self.ui.setupUi(self)
	
	def on_addButtonBox_accepted(self):
		t = self.ui.pointsTable
		coordPairs = []
		for i in range(t.rowCount()):
			coordPairs.append( ( int(t.item(i,0).text()), int(t.item(i,1).text()) ) )

		mediator.addBezier(coordPairs, self.ui.nameEdit.text())
		self.clearWidget()
	
	def on_addButtonBox_rejected(self):
		self.close()
		
	def clearWidget(self):
		self.ui.nameEdit.clear()
		self.ui.pointsTable.setRowCount(0)
