# -*- encoding: utf8 -*-

from PyQt4 import QtGui
from ui_addline import Ui_addLineDialog
import mediator

class AddLine(QtGui.QDialog):
	def __init__(self):
		QtGui.QDialog.__init__(self)

		self.ui = Ui_addLineDialog()
		self.ui.setupUi(self)

	def on_addButtons_accepted(self):
		a = ( int(self.ui.x1Edit.text()), int(self.ui.y1Edit.text()) )
		b = ( int(self.ui.x2Edit.text()), int(self.ui.y2Edit.text()) )
		mediator.addLine(a, b, self.ui.nameEdit.text() )
		self.clearWidget()

	def on_addButtons_rejected(self):
		self.close()
		
	def clearWidget(self):
		self.ui.nameEdit.clear()
		map(lambda e: e.clear(), [self.ui.x1Edit, self.ui.y1Edit, self.ui.x2Edit, self.ui.y2Edit] )
