# -*- encoding: utf8 -*-

from PyQt4 import QtGui
from ui_rotatedialog import Ui_rotateDialog
import mediator

class RotateDialog(QtGui.QDialog):
	def __init__(self, selected):

		QtGui.QDialog.__init__(self)
		self.itemsList = []
		for i in selected:
			self.itemsList.append(i.data().toString())
		self.ui = Ui_rotateDialog()
		self.ui.setupUi(self)

	def on_buttonBox_accepted(self):
		angle =  float(self.ui.angleDial.value())
		if self.ui.worldRadio.isChecked():
			pivot = (0,0)
		elif self.ui.centerRadio.isChecked():
			pivot = None
		elif self.ui.customRadio.isChecked():
			pivot = (int(self.ui.xEdit.text()), int(self.ui.yEdit.text()))
		else:
			print "At least one of the radio buttons selecting the pivot should be checked"

		mediator.rotateObjects(self.itemsList, angle, pivot)
		self.close()

	def on_buttonBox_rejected(self):
		self.close()
