# -*- encoding: utf8 -*-

from PyQt4 import QtGui
from ui_scaledialog import Ui_scaleDialog
import mediator

class ScaleDialog(QtGui.QDialog):
	def __init__(self, selected):
		QtGui.QDialog.__init__(self)

		self.itemList = []
		for i in selected:
			self.itemList.append(i.data().toString())

		self.ui = Ui_scaleDialog()
		self.ui.setupUi(self)

		validator = QtGui.QDoubleValidator(0.00001, 100.0, 5, None)
		self.ui.xEdit.setValidator(validator)
		self.ui.yEdit.setValidator(validator)

	def on_buttonBox_accepted(self):
		scaleFactors = float(self.ui.xEdit.text()), float(self.ui.yEdit.text())
		mediator.scaleObjects(self.itemList, scaleFactors)
		self.close()

	def on_buttonBox_rejected(self):
		self.close()
