# -*- encoding: utf8 -*-

from PyQt4 import QtGui
from ui_addpoint import Ui_addPointDialog
import mediator

class AddPoint(QtGui.QDialog):
	def __init__(self):
		QtGui.QDialog.__init__(self)

		self.ui = Ui_addPointDialog()
		self.ui.setupUi(self)

	def on_addButtons_accepted(self):
		coords = ( int(self.ui.xEdit.text()), int(self.ui.yEdit.text()) )
		mediator.addPoint( coords, self.ui.nameEdit.text() )
		self.clearWidget()

	def on_addButtons_rejected(self):
		self.close()
		
	def clearWidget(self):
		self.ui.nameEdit.clear()
		map(lambda edit: edit.clear(),  [self.ui.xEdit, self.ui.yEdit] )
