# -*- encoding: utf8 -*-

from PyQt4 import QtGui
from ui_translatedialog import Ui_translateDialog
import mediator

class TranslateDialog(QtGui.QDialog):
	def __init__(self, selected):
		QtGui.QDialog.__init__(self)

		self.itemsList = []
		for i in selected:
			self.itemsList.append(i.data().toString())

		self.ui = Ui_translateDialog()
		self.ui.setupUi(self)

	def on_buttonBox_accepted(self):
		translationVector = float(self.ui.xEdit.text()), float(self.ui.yEdit.text())
		mediator.translateObjects(self.itemsList, translationVector)
		self.close()

	def on_buttonBox_rejected(self):
		self.close()
